---
search:
  tags:
    - database-services
    - POST
seo:
  description: >-
    Restart Patroni on a node. Reference for the POST
    /api/v1/database-services/{id}/patroni/restart endpoint in the TimescaleDB
    Enterprise API.
  noindex: true
sidebar:
  label: Restart Patroni on a node
  badge: POST
title: Restart Patroni on a node
type: openapi-operation
---
`POST /api/v1/database-services/{id}/patroni/restart`

**Request body** (`application/json`, required)

- `server_id` (string)

Request body example:

```json
{
  "server_id": "string"
}
```

**Responses**

- `200` — OK
- `default` — Error

Response example, 200:

```json
{
  "error": "string",
  "extensions_error": "string",
  "extensions_workflow_id": "string",
  "message": "string",
  "status": "ok"
}
```
